Resolution not set on plugging the mouse in

Bug #1685660 reported by arty
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
lomoco (Debian)
Fix Released
Unknown
lomoco (Ubuntu)
High
Gunnar Hjalmarsson
Zesty
High
Gunnar Hjalmarsson
Artful
High
Gunnar Hjalmarsson

Bug Description

[Impact]
The addition of the debian/lomoco.install file in version 1.0.0-2 made debian/install be ignored, so currently the /lib/udev/udev.lomoco is not installed and the udev support broken. The attached debdiff fixes it.

[Test Case]
Build with the debdiff applied, install, and find that /lib/udev/udev.lomoco exists.

[Regression Potential]
None.

[Original description]
I see this bug starting with Ubuntu 17.04

I have the mouse resolution configured in /etc/default/lomoco, but when I plug in the mouse the resolution is not set. Executing `lomoco -8` manually sets the resolution.

I see following messages in journald:

Apr 23 21:19:22 switch kernel: usb 2-2: New USB device found, idVendor=0451, idProduct=8142
Apr 23 21:19:22 switch kernel: usb 2-2: New USB device strings: Mfr=0, Product=0, SerialNumber=1
Apr 23 21:19:22 switch kernel: usb 2-2: SerialNumber: 02041051F0AD
Apr 23 21:19:22 switch kernel: hub 2-2:1.0: USB hub found
Apr 23 21:19:22 switch kernel: hub 2-2:1.0: 4 ports detected
Apr 23 21:19:22 switch kernel: usb 2-2.3: new low-speed USB device number 36 using xhci_hcd
Apr 23 21:19:22 switch kernel: usb 2-2.3: New USB device found, idVendor=046d, idProduct=c01b
Apr 23 21:19:22 switch kernel: usb 2-2.3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Apr 23 21:19:22 switch kernel: usb 2-2.3: Product: USB-PS/2 Optical Mouse
Apr 23 21:19:22 switch kernel: usb 2-2.3: Manufacturer: Logitech
Apr 23 21:19:22 switch kernel: input: Logitech USB-PS/2 Optical Mouse as /devices/pci0000:00/0000:00:14.0/usb2/2-2/2-2.3/2-2.3:1.0/0003:046D:C01B.000B/input/input33
Apr 23 21:19:22 switch kernel: hid-generic 0003:046D:C01B.000B: input,hidraw0: USB HID v1.10 Mouse [Logitech USB-PS/2 Optical Mouse] on usb-0000:00:14.0-2.3/input0
Apr 23 21:19:22 switch mtp-probe[1282]: checking bus 2, device 36: "/sys/devices/pci0000:00/0000:00:14.0/usb2/2-2/2-2.3"
Apr 23 21:19:22 switch mtp-probe[1282]: bus: 2, device: 36 was not an MTP device
Apr 23 21:19:22 switch systemd-udevd[1296]: failed to execute '/lib/udev/udev.lomoco' 'udev.lomoco': No such file or directory
Apr 23 21:19:22 switch systemd-udevd[1270]: Process 'udev.lomoco' failed with exit code 2.

I have created the executable file /lib/udev/udev.lomoco file which runs `lomoco -8` and that solution works even though it is not a correct solution.

ProblemType: Bug
DistroRelease: Ubuntu 17.04
Package: lomoco 1.0.0-2
ProcVersionSignature: Ubuntu 4.10.0-19.21-generic 4.10.8
Uname: Linux 4.10.0-19-generic x86_64
ApportVersion: 2.20.4-0ubuntu4
Architecture: amd64
CurrentDesktop: Unity:Unity7
Date: Sun Apr 23 21:35:30 2017
InstallationDate: Installed on 2016-04-23 (365 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
SourcePackage: lomoco
UpgradeStatus: Upgraded to zesty on 2017-04-15 (8 days ago)
mtime.conffile..etc.default.lomoco: 2017-04-23T21:11:39.881767

Revision history for this message
arty (me-arty) wrote :
Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

Thanks for your report. I spotted the problem and attached a debdiff.

no longer affects: ubuntu-docs (Ubuntu Zesty)
no longer affects: ubuntu-docs (Ubuntu)
Changed in lomoco (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → High
status: New → In Progress
Changed in lomoco (Ubuntu Zesty):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → High
status: New → In Progress
tags: added: patch
description: updated
Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

To the sponsor: I attached an artful debdiff. Please use it for zesty too, changing the version to 1.0.0-2ubuntu0.1.

Would of course be good to fix it in Debian directly. I attached the debdiff there too.

Changed in lomoco (Debian):
status: Unknown → New
Revision history for this message
Mattia Rizzolo (mapreri) wrote :

let me upload it to debian instead (and will do the zesty SRU once it's through).

Mattia Rizzolo (mapreri)
Changed in lomoco (Ubuntu Artful):
status: In Progress → Fix Committed
Revision history for this message
Mattia Rizzolo (mapreri) wrote :

actually, I also uploaded lomoco_1.0.0-2ubuntu0.16.04.1_source.changes at the same time while I was on it.

Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

Thanks Mattia!

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lomoco - 1.0.0-3

---------------
lomoco (1.0.0-3) unstable; urgency=medium

  * QA upload.

  [ Mattia Rizzolo ]
  * Use HTTPS in Vcs-* fields.

  [ Gunnar Hjalmarsson ]
  * Merge the two install files so that /lib/udev/udev.lomoco gets installed.
    Closes: #849784; LP: #1685660

 -- Mattia Rizzolo <email address hidden> Mon, 08 May 2017 11:02:39 +0200

Changed in lomoco (Ubuntu Artful):
status: Fix Committed → Fix Released
Changed in lomoco (Debian):
status: New → Fix Released
Revision history for this message
Brian Murray (brian-murray) wrote : Please test proposed package

Hello arty, or anyone else affected,

Accepted lomoco into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/lomoco/1.0.0-2ubuntu0.17.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in lomoco (Ubuntu Zesty):
status: In Progress → Fix Committed
tags: added: verification-needed
Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

I installed lomoco 1.0.0-2ubuntu0.17.04.1 from zesty-proposed and confirm that the /lib/udev/udev.lomoco file is present.

tags: added: verification-done
removed: verification-needed
Revision history for this message
Łukasz Zemczak (sil2100) wrote : Update Released

The verification of the Stable Release Update for lomoco has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lomoco - 1.0.0-2ubuntu0.17.04.1

---------------
lomoco (1.0.0-2ubuntu0.17.04.1) zesty; urgency=medium

  * Merge the two install files so that /lib/udev/udev.lomoco gets installed.
    LP: #1685660

 -- Gunnar Hjalmarsson <email address hidden> Sun, 07 May 2017 23:12:00 +0200

Changed in lomoco (Ubuntu Zesty):
status: Fix Committed → Fix Released
Revision history for this message
arty (me-arty) wrote :

Thanks everyone! The file is in place now and works fine :)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.